# 文件保护箱
## 概 述
文件保护箱由麒麟安全团队开发，为用户提供便捷、安全的个人文件保护，主界面如图1所示。

![图 1 麒麟文件保护箱-big](image/1.png)

文件保护箱通过隔离隐藏、加密保护结合的方式，实现用户私有数据的安全保护。不同用户创建的保护箱位于/home/[用户名]/box/[BOX名]，用户可以通过文件保护箱管理工具界面，双击对应图标，访问该BOX目录。保护箱中的文件、目录的操作方法与普通文件、目录一致，都可以通过终端命令行或文件管理器进行。
<br>

## 视图切换
文件保护箱软件打开后，主页界面支持以图标、列表两种视图方式显示保护箱目录。图标视图下，光标悬停在BOX上会显示路径；列表视图下，会显示BOX的详细信息。点击主界面右下角图标![](image/icon1.png) / ![](image/icon2.png)进行切换。

![图 2 图标视图-big](image/2.png)

![图 3 列表视图-big](image/3.png)
<br>

## 新 建
点击“新建”按钮创建新的私有BOX，输入新建BOX名称，默认创建加密状态保护箱，输入密码，然后点击确认即可。若需要创建不加密保护箱，可通过是否加密按钮取消。

![图 4 新建](image/4.png)

文件保护箱具有如下特性：

- 新建保护箱，可以选择加密或者不加密。

- 新创建的BOX是加密状态时，仅对用户自己可见，对其他用户不可见。

- 已解锁的BOX不可删除或重命名，不可进行密码设置，如需进行上述变更操作，需先锁定该BOX。

- 未加密的BOX不可进行密码设置，如需进行上述变更操作，需先新建密码。

不同的图标表示BOX目录的不同状态：

| 图标 | 说明 |
|:-----|:-----|
|![](image/icon3.png)| 锁定 |
|![](image/icon4.png)| 解锁 |
|![](image/icon5.png)| 未加密（仅隔离隐藏） |

<br>

## 删 除
选中不再需要的BOX目录，点击“删除”按钮，当保护箱未加密时，可直接删除；若已加密，需在警示弹窗中验证密码以完成相关操作。

![图 5 删除](image/5.png)
<br>

## 重命名
右键点击需要改名的BOX目录，选择右键菜单中的“重命名”，未加密保护箱在重命名弹窗中输入新名称即可完成重命名操作，已加密保护箱还需输入密码进行密码验证。

![图 6 未加密保护箱重命名](image/6.png)

![图 7 已加密保护箱重命名](image/7.png)
<br>

## 密码设置
右键点击需要设置密码的BOX，点击“密码设置”或选择右键菜单中的“密码设置”，在新弹窗中输入当前密码和新密码并确认，即可完成修改密码操作。

![图 8 密码设置](image/8.png)
